From b418ea4fbb3814fbf8bf29362ffd0faec0889d13 Mon Sep 17 00:00:00 2001
From: Edward Welbourne <edward.welbourne@qt.io>
Date: Wed, 2 Jun 2021 12:14:31 +0200
Subject: [PATCH 197/262] Fix copy-and-paste bug in QDTEP::getMaximum()
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

It had a copy of a line from getMinimum().
The results were predictably broken.

Pick-to: 5.15 6.1
Change-Id: I3582edb08696bec4311f43fc426f7e54dc069f53
Reviewed-by: Mårten Nordheim <marten.nordheim@qt.io>
(cherry picked from commit a15a3fef0b5dae4e83bd94b23dd2418208159d05)
---
 src/widgets/widgets/qdatetimeedit_p.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/widgets/widgets/qdatetimeedit_p.h b/src/widgets/widgets/qdatetimeedit_p.h
index 7df2b59710..e0df5b5158 100644
--- a/src/widgets/widgets/qdatetimeedit_p.h
+++ b/src/widgets/widgets/qdatetimeedit_p.h
@@ -1,6 +1,6 @@
 /****************************************************************************
 **
-** Copyright (C) 2018 The Qt Company Ltd.
+** Copyright (C) 2021 The Qt Company Ltd.
 ** Contact: https://www.qt.io/licensing/
 **
 ** This file is part of the QtWidgets module of the Qt Toolkit.
@@ -107,7 +107,7 @@ public:
         if (keyboardTracking)
             return maximum.toDateTime();
         if (spec != Qt::LocalTime)
-            return QDateTime(QDATETIMEEDIT_DATE_MIN.startOfDay(spec));
+            return QDateTime(QDATETIMEEDIT_DATE_MAX.endOfDay(spec));
         return QDateTimeParser::getMaximum();
     }
     QLocale locale() const override { return q_func()->locale(); }
-- 
2.33.0

